.contractor-table {
  margin-bottom: 40px;
  font-size: 16px;
  font-weight: 600;
  line-height: 24px;
  background: #fffcff;
}
.contractor-table .contractor__status {
  margin-bottom: 0;
}
.contractor-table .contractor__rating {
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.contractor-table .contractor__orders-number,
.contractor-table .contractor__reviews-number {
  display: flex;
  gap: 3px;
  font-size: 15px;
  font-weight: 500;
  text-decoration-line: underline;
  text-decoration-style: solid;
}
.contractor-table thead {
  color: #858790;
  font-size: 16px;
  font-weight: 500;
  line-height: 24px;
}
.contractor-table .q-table th,
.contractor-table .q-table td {
  padding: 32px 15px 10px 15px;
}
.contractor-table__location {
  max-width: 180px;
  color: #858790;
  white-space: wrap;
}
.contractor-table .q-avatar {
  margin-right: 10px;
  width: 32px;
  height: 32px;
}
.contractor-table .q-avatar .q-img {
  height: 100%;
}.contractor-list {
  width: 100%;
}
.contractor-list .title {
  margin-bottom: 20px;
}
.contractor-list__items {
  width: 100%;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
}
.contractor-list__item {
  max-width: 387px;
  width: 100%;
  border-radius: 30px;
  border: 1px solid var(--Stroke, #ddd);
}
.contractor-list__item a {
  width: 100%;
  cursor: pointer;
}
.contractor-list__top {
  padding: 20px;
  border-radius: 30px;
  position: relative;
  z-index: 3;
  overflow: hidden;
  height: 285px;
  display: flex;
  flex-direction: column;
  align-items: stretch;
}
.contractor-list__img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  border-radius: 30px;
}
.contractor-list__img::after {
  content: "";
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, rgba(0, 0, 0, 0.6) 100%);
}
.contractor-list__name {
  margin-top: auto;
  font-size: 20px;
  font-weight: 500;
  line-height: 28px;
  color: #ffffff;
  position: relative;
  z-index: 3;
}
.contractor-list__rating {
  position: relative;
  z-index: 3;
}
.contractor-list__rating-number {
  font-size: 15px;
  font-weight: 500;
  line-height: normal;
}
.contractor-list__bottom {
  padding: 20px;
}
.contractor-list__description {
  margin-bottom: 20px;
  font-size: 14px;
  font-weight: 500;
  line-height: 18px;
  overflow: hidden;
  display: -webkit-box;
  -webkit-line-clamp: 2;
  line-clamp: 2;
  -webkit-box-orient: vertical;
}
.contractor-list-page .contractor-list__wrap {
  display: flex;
  gap: 20px;
}
.contractor-list-page .contractor-list__content {
  width: 100%;
}
.contractor-list-page .top {
  justify-content: space-between;
}
.contractor-list-page .q-tab-panel {
  width: 100%;
  padding: 0;
}
.contractor-list-page .q-tab-panel .q-list {
  margin-bottom: 40px;
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.contractor-list-page .q-tab-panels {
  background: #fffcff;
}
.contractor-list-page .q-tab.q-tab--active svg path {
  fill: #02888d;
}
.contractor-list-page .q-tab.q-tab--active svg rect {
  fill: #02888d;
}
.contractor-list-page .q-tabs__content {
  border-radius: 10px;
  background: #f2f2f2;
  padding: 5px;
}
.contractor-list-page .q-tab__content {
  padding: 5px 0;
}
.contractor-list-page .q-tab {
  padding: 0 5px;
}
.contractor-list-page .contractor__rating {
  padding: 5px 10px 5px 5px;
  width: fit-content;
  border-radius: 8px;
  background-color: #f2f2f2;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 5px;
  font-size: 15px;
  font-weight: 600;
}
.contractor-list-page .contractor__rating .q-icon {
  width: 16px;
  height: 16px;
}
.contractor-list-page .contractor__rating-mobile {
  display: none;
}
.contractor-list-page .contractor-card__status-mobile {
  display: none;
}
@media (max-width: 1080px) {
.contractor-list-page .contractor-list__wrap {
    padding-top: 10px;
    flex-direction: column;
}
.contractor-list-page .contractor-list__wrap .filter {
    display: none;
}
}
@media (max-width: 870px) {
.contractor-list-page .contractor-card {
    flex-wrap: wrap;
}
}
@media (max-width: 768px) {
.contractor-list .q-item {
    max-width: 260px;
}
.contractor-list__top {
    border-radius: 20px;
    height: 191px;
}
.contractor-list__bottom {
    padding: 10px;
}
.contractor__category {
    padding: 3px 8px;
    border-radius: 50px;
    font-size: 12px;
    font-weight: 400;
    line-height: 18px;
    grid-template-columns: 24px auto;
}
.contractor__category img {
    max-width: 24px;
}
.contractor-list__description {
    padding: 0 10px;
    font-weight: 400;
    -webkit-line-clamp: 3;
    line-clamp: 3;
}
.contractor__services {
    padding: 0 10px 10px 10px;
}
.contractor__service-name {
    font-size: 11px;
    font-weight: 400;
    line-height: 11px;
    overflow: hidden;
    text-overflow: ellipsis;
}
.contractor__service-line {
    width: fit-content;
    min-width: 25px;
}
.contractor__service-price {
    font-size: 11px;
    font-weight: 400;
    line-height: 11px;
}
.contractor-list-page .q-tabs {
    display: none;
}
.contractor-list-page .q-item {
    max-width: 100%;
}
.contractor-list-page .contractor-card {
    padding: 0px;
    gap: 0;
}
.contractor-list-page .contractor-card__right {
    padding: 20px;
}
.contractor-list-page .contractor-card__left {
    max-width: 100%;
    position: relative;
}
.contractor-list-page .contractor-card__img {
    margin-bottom: 0px;
    max-width: 100%;
    height: 340px;
}
.contractor-list-page .img-figure {
    display: none;
}
.contractor-list-page .contractor__status {
    margin-bottom: 0;
    padding: 5px 10px;
    height: 26px;
    border-radius: 20px;
    background: #f2f2f2;
    position: absolute;
    left: 10px;
    bottom: 41px;
}
.contractor-list-page .contractor__rating-amount-wrap {
    padding: 5px 10px;
    height: 26px;
    border-radius: 20px;
    background: #f2f2f2;
    display: flex;
    align-items: center;
    gap: 5px;
    position: absolute;
    left: 10px;
    bottom: 10px;
    font-size: 13px;
    font-weight: 400;
    line-height: 16px;
}
.contractor-list-page .contractor__rating {
    display: none;
    padding: 0;
}
.contractor-list-page .contractor__rating-mobile {
    display: flex;
}
.contractor-list-page .contractor__rating-mobile svg {
    width: 16px;
    height: 16px;
}
.contractor-list-page .contractor-card__amount {
    text-decoration: none;
}
.contractor-list-page .contractor-card__name {
    display: flex;
    gap: 7px;
}
.contractor-list-page .contractor-card__status-mobile {
    display: flex;
    color: #02888d;
}
.contractor-list-page .contractor-card__online {
    display: none;
}
}
@media (max-width: 500px) {
.contractor-list-page .contractor-card__img {
    height: 240px;
}
.contractor-list-page .contractor-card__name {
    font-size: 18px;
    font-weight: 600;
    line-height: 20px;
}
.contractor-list-page .contractor__service-name {
    font-size: 12px;
    font-weight: 400;
    line-height: 11px;
}
.contractor-list-page .contractor-card__phone-btn {
    width: 100%;
}
.contractor-list-page .contractor-card .link {
    font-size: 14px;
}
}
@media (max-width: 395px) {
.contractor-list-page .contractor-card__img {
    height: 190px;
}
}